Skip to main content

Update attribute values from a user

Update attribute values from a user

Path Parameters
id string — REQUIRED

Unique identifier (id or clientId)

attributeId string — REQUIRED

ID of the attribute to retrieve for the user

Request Body — REQUIRED
textValue string — REQUIRED

Required for TEXT attribute

numericValue number — REQUIRED

Required for NUMERIC attribute

booleanValue boolean — REQUIRED

Required for BOOLEAN attribute

dateValue string — REQUIRED

Required for DATE attribute

urlValue string — REQUIRED

Required for URL attribute

ratingValue string — REQUIRED

Required for RATING attribute

Responses
200

Return an updated attribute value from a user

Schema — OPTIONAL
attributeValue object

The attribute value data, null if not found

createdAt date-time

Creation date of the attribute value

updatedAt date-time

Last update date of the attribute value

textValue string — OPTIONAL

Text value (for TEXT type attributes)

urlValue string — OPTIONAL

URL value (for URL type attributes)

numericValue number — OPTIONAL

Numeric value (for NUMERIC type attributes)

ratingValue number — OPTIONAL

Rating value (for RATING type attributes)

booleanValue boolean — OPTIONAL

Boolean value (for BOOLEAN type attributes)

dateValue string — OPTIONAL

Date value (for DATE type attributes)

attributeId string

Identifier of the associated attribute